import 'package:flutter/material.dart';

class ColorConstants {
  //颜色的常量值
  static const Color lightScaffoldBackgroundColor = Color(0xFFF9F9F9);
  static const Color darkScaffoldBackgroundColor = Color(0xff2F2E2E); //Theme的背景颜色
  static const Color secondaryAppColor = Colors.white;
  static const Color secondaryDarkAppColor = Color(0xff2F2E2E); //Theme的Appbar颜色

  static const Color tipColor = Color(0xffB6B6B6);
  static const Color gray = Color(0xFFCCCCCC);
  static const Color lightGray = Color(0xFFF6F6F6);
  static const Color darkGray = Color(0xFF9F9F9F);
  static const Color black = Color(0xFF000000);
  static const Color white = Color(0xFFFFFFFF);
  static const Color dividerColor = Color(0xffd2d2d2);
  static const Color appBlue = Color(0xff0689fb);
  static const Color pageBg = Color(0xfff1f1f1);
}

Color hexToColor(String hex) {
  assert(RegExp(r'^#([0-9a-fA-F]{6})|([0-9a-fA-F]{8})$').hasMatch(hex), 'hex color must be #rrggbb or #rrggbbaa');

  return Color(
    int.parse(hex.substring(1), radix: 16) + (hex.length == 7 ? 0xff000000 : 0x00000000),
  );
}
